XYWriteParserInternal::SubDocument Class Reference documentation

Public Member Functions | Public Attributes | List of all members
XYWriteParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a XYWriteParser. More...

Inheritance diagram for XYWriteParserInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr const &input, XYWriteParser &pars, WPSEntry const &entry, std::string const &style="")
| constructor for a text entry
| ~SubDocument () final
| destructor
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator==
void | parse (std::shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function
Public Member Functions inherited from WPSTextSubDocument
| WPSTextSubDocument (RVNGInputStreamPtr const &input, WPSParser *parser, int id=0)
| constructor
| ~WPSTextSubDocument () override
| destructor
RVNGInputStreamPtr const & | getInput ()
| returns the input
WPSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
WPSEntry | m_entry
| the entry
std::string | m_style
| the style

## Additional Inherited Members
Protected Attributes inherited from WPSTextSubDocument
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a XYWriteParser.

## Constructor & Destructor Documentation

## ◆ SubDocument()

XYWriteParserInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr const & | input,
|  | XYWriteParser & | pars,
|  | WPSEntry const & | entry,
|  | std::string const & | style = "" )
| inline

constructor for a text entry

## ◆ ~SubDocument()

XYWriteParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator==()

bool XYWriteParserInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inlinefinalvirtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void XYWriteParserInternal::SubDocument::parse | ( | std::shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| finalvirtual

the parser function

Implements WPSTextSubDocument.

## Member Data Documentation

## ◆ m_entry

WPSEntry XYWriteParserInternal::SubDocument::m_entry

the entry

Referenced by operator==(), and parse().

## ◆ m_style

std::string XYWriteParserInternal::SubDocument::m_style

the style

Referenced by operator==(), and parse().

The documentation for this class was generated from the following file:

- XYWrite.cpp